=== modified file 'bzrlib/_simple_set_pyx.pyx'
--- bzrlib/_simple_set_pyx.pyx	2010-07-28 21:36:44 +0000
+++ bzrlib/_simple_set_pyx.pyx	2010-08-02 17:16:12 +0000
@@ -116,7 +116,18 @@
         memset(self._table, 0, n_bytes)
 
     def __sizeof__(self):
-        return sizeof(SimpleSet) + (self._mask + 1) * (sizeof(PyObject**))
+        # Note: Pyrex doesn't allow sizeof(class) so we re-implement it here.
+        # Bits are:
+        #   1: PyObject
+        #   2: vtable *
+        #   3: 3 Py_ssize_t
+        #   4: PyObject**
+        # Note that we might get alignment, etc, wrong, but at least this is
+        # better than no estimate at all
+        # return sizeof(SimpleSet) + (self._mask + 1) * (sizeof(PyObject*))
+        return (sizeof(PyObject) + sizeof(void*)
+                + 3*sizeof(Py_ssize_t) + sizeof(PyObject**)
+                + (self._mask + 1) * sizeof(PyObject*))
 
     def __dealloc__(self):
         if self._table != NULL:

